# Generated by Django 3.2 on 2023-10-21 12:39

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0024_auto_20231019_1443'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataPertanian',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodepertanian', models.TextField(null=True)),
                ('jml_ayam', models.IntegerField(null=True)),
                ('jml_babi', models.IntegerField(null=True)),
                ('jml_sapi', models.IntegerField(null=True)),
                ('jml_kambing', models.IntegerField(null=True)),
                ('jml_bebek', models.IntegerField(null=True)),
                ('jml_kelinci', models.IntegerField(null=True)),
                ('luas_lahan', models.TextField(null=True)),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
        migrations.CreateModel(
            name='dataKomoditipertanian',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodepertanian', models.TextField(null=True)),
                ('nama', models.TextField(null=True)),
                ('keterangan', models.TextField(null=True)),
                ('pertanian', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datafasilitasolahraga')),
            ],
        ),
        migrations.CreateModel(
            name='dataKelompoktani',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodepertanian', models.TextField(null=True)),
                ('namakelompok', models.TextField(null=True)),
                ('ketua', models.TextField(null=True)),
                ('jml_anggota', models.IntegerField(null=True)),
                ('bantuan', models.TextField(null=True)),
                ('foto', models.ImageField(null=True, upload_to='profile/images/perikanan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('pertanian', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datafasilitasolahraga')),
            ],
        ),
    ]
